Skip to content
Open app

boards.update

PATCH /api/v1/boards/{id}. A signed-in person (Clerk session cookie). Agent tokens are refused. Needs the board.settings permission on the board. Body…

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/boardsupdate.mdtext/markdown
PATCH
/api/v1/boards/{id}
Code sample: Shell / cURL
curl --request PATCH \
--url https://app.intraface.cc/api/v1/boards/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--cookie __session=<__session> \
--data '{ "title": "example", "link_access": "off", "approval_mode": true, "self_contained": true }'

A signed-in person (Clerk session cookie). Agent tokens are refused. Needs the board.settings permission on the board. Body limit: 256 KB.

id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
Media typeapplication/json
object
title
string
>= 1 characters <= 120 characters
link_access
string
Allowed values: off view comment
approval_mode
boolean
self_contained
boolean

Success.

Media typeapplication/json
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
slug
required
string
/^[a-z0-9](?:[a-z0-9-]{0,62}[a-z0-9])?$/
key
required
string
/^[a-z0-9]{10}$/
title
required
string
>= 1 characters <= 120 characters
type
required
string
Allowed values: travel compliance review launch dossier blank upload
owner_id
required
string
/^user_[A-Za-z0-9]+$/
head_n
required
integer
<= 9007199254740991
link_access
required
string
Allowed values: off view comment
approval_mode
required
boolean
self_contained
required
boolean
sealed
required
boolean
my_role
required
Any of:
string
Allowed values: owner editor contributor commenter viewer
is_member
boolean
default: true
taken_down_at
Any of:
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
takedown_reason
string | null
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
updated_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/

Example

{
"type": "travel",
"link_access": "off",
"my_role": "owner",
"is_member": true,
"taken_down_at": null,
"takedown_reason": null
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}